> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Bank Verification Sync V1.2

> Use this API to validate the given bank account number and IFSC. This is a sync verification request.

<Warning> This API will be retired soon. Please plan to migrate to the latest version, [Bank Account Verification Sync V2](/api-reference/vrs/v2/bav-v2/bank-account-verification-sync-v2). </Warning>


## OpenAPI

````yaml get /payout/v1.2/validation/bankDetails
openapi: 3.0.3
info:
  title: Bank Account Verification
  version: 1.0.0
  contact: {}
servers:
  - url: https://payout-api.cashfree.com
security: []
paths:
  /payout/v1.2/validation/bankDetails:
    get:
      tags:
        - Bank Account Verification
      summary: Bank Verification Sync V1.2
      description: >-
        Use this API to validate the given bank account number and IFSC. This is
        a sync verification request.
      operationId: bankVerificationSyncV1.2
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer Auth Token
          schema:
            type: string
        - name: Content-Type
          in: header
          required: true
          description: application/json
          schema:
            type: string
        - name: name
          in: query
          description: >-
            It is the bank account holder's name for who you want to verify the
            bank details (100 character limit).
          schema:
            type: string
            example: Jane
        - name: bankAccount
          in: query
          required: true
          description: >-
            It is the bank account number to be validated (6 to 40 character
            limit).
          schema:
            type: string
            example: '02014457596969'
        - name: ifsc
          in: query
          required: true
          description: >-
            The IFSC information of the bank account to be validated. It should
            be an alphanumeric value of 11 characters. The first 4 characters
            should be alphabets, the 5th character should be a 0, and the
            remaining 6 characters should be numerals.
          schema:
            type: string
            example: CITI0000001
        - name: phone
          in: query
          description: It is the phone number of the bank account holder.
          schema:
            type: string
            example: '8349102770'
        - name: remarks
          in: query
          description: >-
            You can add custom remarks in the API request. These remarks will be
            visible in the customer's bank statement corresponding to the penny
            drop transaction. A maximum of 25 characters are allowed.
          schema:
            type: string
            example: ''
      responses:
        '200':
          description: Accepted
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: It represents the status of the API request.
                    example: SUCCESSS
                  subCode:
                    type: number
                    description: It represents the subcode of the API request.
                    example: 200
                  message:
                    type: string
                    description: It represents the message of the API request.
                    example: Bank account details verified successfully
                  accountStatus:
                    type: string
                    description: It represents the status of the bank account.
                    example: VALID
                  accountStatusCode:
                    type: string
                    description: It represents the status code of the bank account.
                    example: ACCOUNT_IS_VALID
                  data:
                    description: It contains the bank account details.
                    properties:
                      nameAtBank:
                        type: number
                        description: >-
                          It represents the name of the account holder as per
                          the bank registration.
                        example: JOHN DOE
                      refId:
                        type: number
                        description: It represents the reference ID.
                        example: 219834028
                      bankName:
                        type: string
                        description: >-
                          It represents the name of the bank where the account
                          is active.
                        example: ICICI BANK LIMITED
                      utr:
                        type: number
                        description: It represents the UTR number.
                        example: 210219578183
                      city:
                        type: string
                        description: >-
                          It represents the name of the city where the bank
                          operates.
                        example: GWALIOR
                      branch:
                        type: string
                        description: >-
                          It represents the branch name of the bank where the
                          account is active.
                        example: GWALIOR
                      micr:
                        type: number
                        description: >-
                          It represents the code used to identify banks and
                          branches participating in the Electronic Clearing
                          System (ECS).
                        example: 0
                      nameMatchScore:
                        type: string
                        description: >-
                          It represents the percentage of the name match
                          verification.
                        example: 0
                      nameMatchResult:
                        type: string
                        description: >-
                          IT represents the result of the name match
                          verification
                        example: NO_MATCH
        '400':
          description: error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ERROR
                  subCode:
                    type: string
                    example: 403
                  message:
                    type: string
                    example: Token is not valid
              examples:
                error:
                  value:
                    status: ERROR
                    subCode: 403
                    message: Token is not valid

````